// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-dtos.proto

package com.accelfin.server.messaging.dtos;

/**
 * Protobuf type {@code com.accelfin.server.messaging.dtos.DecimalDto}
 */
public  final class DecimalDto extends
    com.google.protobuf.GeneratedMessage implements
    // @@protoc_insertion_point(message_implements:com.accelfin.server.messaging.dtos.DecimalDto)
    DecimalDtoOrBuilder {
  // Use DecimalDto.newBuilder() to construct.
  private DecimalDto(com.google.protobuf.GeneratedMessage.Builder<?> builder) {
    super(builder);
  }
  private DecimalDto() {
    unscaledValue_ = 0L;
    scale_ = 0;
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
  }
  private DecimalDto(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    int mutable_bitField0_ = 0;
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!input.skipField(tag)) {
              done = true;
            }
            break;
          }
          case 8: {

            unscaledValue_ = input.readInt64();
            break;
          }
          case 16: {

            scale_ = input.readInt32();
            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_DecimalDto_descriptor;
  }

  protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_DecimalDto_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.accelfin.server.messaging.dtos.DecimalDto.class, com.accelfin.server.messaging.dtos.DecimalDto.Builder.class);
  }

  public static final int UNSCALED_VALUE_FIELD_NUMBER = 1;
  private long unscaledValue_;
  /**
   * <code>optional int64 unscaled_value = 1;</code>
   */
  public long getUnscaledValue() {
    return unscaledValue_;
  }

  public static final int SCALE_FIELD_NUMBER = 2;
  private int scale_;
  /**
   * <code>optional int32 scale = 2;</code>
   */
  public int getScale() {
    return scale_;
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (unscaledValue_ != 0L) {
      output.writeInt64(1, unscaledValue_);
    }
    if (scale_ != 0) {
      output.writeInt32(2, scale_);
    }
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (unscaledValue_ != 0L) {
      size += com.google.protobuf.CodedOutputStream
        .computeInt64Size(1, unscaledValue_);
    }
    if (scale_ != 0) {
      size += com.google.protobuf.CodedOutputStream
        .computeInt32Size(2, scale_);
    }
    memoizedSize = size;
    return size;
  }

  private static final long serialVersionUID = 0L;
  public static com.accelfin.server.messaging.dtos.DecimalDto parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.messaging.dtos.DecimalDto parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.DecimalDto parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.messaging.dtos.DecimalDto parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.DecimalDto parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.DecimalDto parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.DecimalDto parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.DecimalDto parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.DecimalDto parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.DecimalDto parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.accelfin.server.messaging.dtos.DecimalDto prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessage.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.accelfin.server.messaging.dtos.DecimalDto}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessage.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.accelfin.server.messaging.dtos.DecimalDto)
      com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_DecimalDto_descriptor;
    }

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_DecimalDto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.accelfin.server.messaging.dtos.DecimalDto.class, com.accelfin.server.messaging.dtos.DecimalDto.Builder.class);
    }

    // Construct using com.accelfin.server.messaging.dtos.DecimalDto.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
      }
    }
    public Builder clear() {
      super.clear();
      unscaledValue_ = 0L;

      scale_ = 0;

      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_DecimalDto_descriptor;
    }

    public com.accelfin.server.messaging.dtos.DecimalDto getDefaultInstanceForType() {
      return com.accelfin.server.messaging.dtos.DecimalDto.getDefaultInstance();
    }

    public com.accelfin.server.messaging.dtos.DecimalDto build() {
      com.accelfin.server.messaging.dtos.DecimalDto result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public com.accelfin.server.messaging.dtos.DecimalDto buildPartial() {
      com.accelfin.server.messaging.dtos.DecimalDto result = new com.accelfin.server.messaging.dtos.DecimalDto(this);
      result.unscaledValue_ = unscaledValue_;
      result.scale_ = scale_;
      onBuilt();
      return result;
    }

    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.accelfin.server.messaging.dtos.DecimalDto) {
        return mergeFrom((com.accelfin.server.messaging.dtos.DecimalDto)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.accelfin.server.messaging.dtos.DecimalDto other) {
      if (other == com.accelfin.server.messaging.dtos.DecimalDto.getDefaultInstance()) return this;
      if (other.getUnscaledValue() != 0L) {
        setUnscaledValue(other.getUnscaledValue());
      }
      if (other.getScale() != 0) {
        setScale(other.getScale());
      }
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.accelfin.server.messaging.dtos.DecimalDto parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.accelfin.server.messaging.dtos.DecimalDto) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }

    private long unscaledValue_ ;
    /**
     * <code>optional int64 unscaled_value = 1;</code>
     */
    public long getUnscaledValue() {
      return unscaledValue_;
    }
    /**
     * <code>optional int64 unscaled_value = 1;</code>
     */
    public Builder setUnscaledValue(long value) {
      
      unscaledValue_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional int64 unscaled_value = 1;</code>
     */
    public Builder clearUnscaledValue() {
      
      unscaledValue_ = 0L;
      onChanged();
      return this;
    }

    private int scale_ ;
    /**
     * <code>optional int32 scale = 2;</code>
     */
    public int getScale() {
      return scale_;
    }
    /**
     * <code>optional int32 scale = 2;</code>
     */
    public Builder setScale(int value) {
      
      scale_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional int32 scale = 2;</code>
     */
    public Builder clearScale() {
      
      scale_ = 0;
      onChanged();
      return this;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }


    // @@protoc_insertion_point(builder_scope:com.accelfin.server.messaging.dtos.DecimalDto)
  }

  // @@protoc_insertion_point(class_scope:com.accelfin.server.messaging.dtos.DecimalDto)
  private static final com.accelfin.server.messaging.dtos.DecimalDto DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.accelfin.server.messaging.dtos.DecimalDto();
  }

  public static com.accelfin.server.messaging.dtos.DecimalDto getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<DecimalDto>
      PARSER = new com.google.protobuf.AbstractParser<DecimalDto>() {
    public DecimalDto parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
        return new DecimalDto(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<DecimalDto> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<DecimalDto> getParserForType() {
    return PARSER;
  }

  public com.accelfin.server.messaging.dtos.DecimalDto getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

